package com.usoftchina.qywx.sdk.dto;

import java.util.List;

/**
 * @author yingp
 */
public class GetScheduleListResp extends BaseResp {

    private List<Schedule> schedule_list;

    public List<Schedule> getSchedule_list() {
        return schedule_list;
    }

    public void setSchedule_list(List<Schedule> schedule_list) {
        this.schedule_list = schedule_list;
    }

    public static class Schedule {
        private String schedule_id;
        private String organizer;
        private List<Attendee> attendees;
        private String summary;
        private String description;
        private Reminders reminders;
        private String location;
        private String cal_id;
        private Long start_time;
        private Long end_time;
        private Integer status;

        public String getSchedule_id() {
            return schedule_id;
        }

        public void setSchedule_id(String schedule_id) {
            this.schedule_id = schedule_id;
        }

        public String getOrganizer() {
            return organizer;
        }

        public void setOrganizer(String organizer) {
            this.organizer = organizer;
        }

        public List<Attendee> getAttendees() {
            return attendees;
        }

        public void setAttendees(List<Attendee> attendees) {
            this.attendees = attendees;
        }

        public String getSummary() {
            return summary;
        }

        public void setSummary(String summary) {
            this.summary = summary;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public Reminders getReminders() {
            return reminders;
        }

        public void setReminders(Reminders reminders) {
            this.reminders = reminders;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getCal_id() {
            return cal_id;
        }

        public void setCal_id(String cal_id) {
            this.cal_id = cal_id;
        }

        public Long getStart_time() {
            return start_time;
        }

        public void setStart_time(Long start_time) {
            this.start_time = start_time;
        }

        public Long getEnd_time() {
            return end_time;
        }

        public void setEnd_time(Long end_time) {
            this.end_time = end_time;
        }

        public Integer getStatus() {
            return status;
        }

        public void setStatus(Integer status) {
            this.status = status;
        }
    }

    public static class Attendee {
        private String userid;
        private Integer response_status;

        public String getUserid() {
            return userid;
        }

        public void setUserid(String userid) {
            this.userid = userid;
        }

        public Integer getResponse_status() {
            return response_status;
        }

        public void setResponse_status(Integer response_status) {
            this.response_status = response_status;
        }
    }

    public static class Reminders {
        private Integer is_remind;
        private Integer is_repeat;
        private Integer remind_before_event_secs;
        private Integer repeat_type;

        public Integer getIs_remind() {
            return is_remind;
        }

        public void setIs_remind(Integer is_remind) {
            this.is_remind = is_remind;
        }

        public Integer getIs_repeat() {
            return is_repeat;
        }

        public void setIs_repeat(Integer is_repeat) {
            this.is_repeat = is_repeat;
        }

        public Integer getRemind_before_event_secs() {
            return remind_before_event_secs;
        }

        public void setRemind_before_event_secs(Integer remind_before_event_secs) {
            this.remind_before_event_secs = remind_before_event_secs;
        }

        public Integer getRepeat_type() {
            return repeat_type;
        }

        public void setRepeat_type(Integer repeat_type) {
            this.repeat_type = repeat_type;
        }
    }
}
